import { BrowserClientTemplate, BrowserPlatformTemplate, CliProduct } from "../shared/types.js";
export declare class ValidationService {
    private readonly currentDir;
    transformVersion(version: string, product: CliProduct, mode: "offline" | "remote"): Promise<string>;
    validateAppName(appName: string): Promise<void>;
    validateAppTypeAndTemplate(appType: string, template: BrowserClientTemplate | BrowserPlatformTemplate): void;
}
